TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.Topic Class Reference

A Topic object encapsulates a TIBCO EMS specific topic name. More...

Inheritance diagram for TIBCO.EMS.Topic:

## Public Member Functions
| Topic (String name)
| Constructs a new Topic object with the given name. More...
override Object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
override string | ToString ()
| Returns a string representation of this `Topic` object. More...
Public Member Functions inherited from TIBCO.EMS.Destination
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Properties
string | TopicName`[get]`
| Gets the name of the topic More...

## Detailed Description

A Topic object encapsulates a TIBCO EMS specific topic name.

Topics deliver each message to multiple consumers.

## Constructor & Destructor Documentation

TIBCO.EMS.Topic.Topic | ( | String | name | ) |
| inline

Constructs a new Topic object with the given name.

This constructor either creates a dynamic Topic or obtains a Topic object that is already configured on the server.

This constructor creates only local Topic objects (within the program). It does not attempt to lookup the corresponding server Topic object until the program creates a MessageConsumer or a MessageProducer that uses the topic. That automatic lookup can result in either of two outcomes:

- If lookup succeeds, it binds the local Topic object to the server Topic object.
- If lookup fails, the server creates a new dynamic topic.

Parameters

  name | Name of the topic to find or create.

## Member Function Documentation

override Object TIBCO.EMS.Topic.Clone | ( |  | ) |
| inline virtual

Implementation of ICloneable. Overrides the cloning process.

Returns
  A object that is a clone of this Topic instance.

Reimplemented from TIBCO.EMS.Destination.

override bool TIBCO.EMS.Topic.Equals | ( | Object | obj | ) |
| inline

Compare with another object for equality.

The current instance is said to be equals to another object when the latter is also a `Topic` instance and both have the same address.

Parameters

  obj | The object to compare with

Returns
  true if the object passed is also of type `Topic` and has the same address as the current instance, false otherwise.

override int TIBCO.EMS.Topic.GetHashCode | ( |  | ) |
| inline

Returns a hashcode representing the current object

Returns
  A hashcode based on the `Topic`.

override string TIBCO.EMS.Topic.ToString | ( |  | ) |
| inline

Returns a string representation of this `Topic` object.

Returns
  A string representation

## Property Documentation

string TIBCO.EMS.Topic.TopicName
| get

Gets the name of the topic

Each topic has a name that is unique among all topics.

Returns
  The name of the topic, if not set, null is returned